flutter_translate_preferences 1.1.0+1

  • Readme
  • Changelog
  • Example
  • Installing
  • 70

flutter_translate_preferences #

A flutter_translate extension for automatically saving & restoring the selected locale.

[1.0.0]

  • Initial release
  • Implemented the functionality to automatically save/restore the selected locale

[1.0.1]

  • Fixed some issues related to async calls

[1.1.0]

  • Implementation for the ITranslatePreferences interface

[1.1.0+1]

example/README.md

example #

Example application for flutter_translate_preferences

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_translate_preferences: ^1.1.0+1

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_translate_preferences/flutter_translate_preferences.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
41
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
70
Learn more about scoring.

We analyzed this package on Jan 19, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.0
  • pana: 0.13.4
  • Flutter: 1.12.13+hotfix.5

Health issues and suggestions

Document public APIs. (-1 points)

5 out of 5 API elements have no dartdoc comment.Providing good documentation for libraries, classes, functions, and other API elements improves code readability and helps developers find and use your API.

Format lib/flutter_translate_preferences.dart.

Run flutter format to format lib/flutter_translate_preferences.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
flutter_translate ^1.4.0+2 1.5.7
shared_preferences ^0.5.3+5 0.5.6
Transitive dependencies
collection 1.14.11 1.14.12
flutter_device_locale 0.3.4+1
flutter_web_plugins 0.0.0
meta 1.1.8
shared_preferences_macos 0.0.1+3
shared_preferences_platform_interface 1.0.1
shared_preferences_web 0.1.2+2
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8